Subject: The Cowboy and The Preacher
Date: Tue, 13 Apr 1999 19:30:00 PDT
Newsgroups: rec.humor.funny

One Sunday a cowboy went to church. When he entered, he saw that 
he and the preacher were the only ones present.

The preacher asked the cowboy if he wanted him to go ahead and 
preach. The cowboy said, "I'm not too smart, but if I went to 
feed my cattle and only one showed up, I'd feed him."

So the minister began his sermon.  One hour passed, then two 
hours, then two-and-a-half hours. The preacher finally finished 
and came down to ask the cowboy how he liked the sermon.

The cowboy answered slowly, "Well, I'm not very smart, but if I 
went  to feed my cattle and only one showed up, I sure wouldn't 
feed him all the hay..."

-- 
This joke's link: http://www.netfunny.com/rhf/jokes/99/Apr/preacher.html